Adapt to new Totem icon name

Bug #1623768 reported by Jeremy Bicha on 2016-09-15
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
humanity-icon-theme (Ubuntu)
Undecided
Unassigned
lubuntu-artwork (Ubuntu)
Undecided
Redwolf
moka-icon-theme (Ubuntu)
Undecided
Unassigned
ubuntukylin-theme (Ubuntu)
Undecided
zhangchao
xubuntu-artwork (Ubuntu)
Undecided
Simon Steinbeiß

Bug Description

Totem has changed its icon name for easier integration with flatpak

-Icon=totem
+Icon=org.gnome.Totem

If your icon theme will be used in Ubuntu 16.04 LTS also, then I recommend making a symlink from the totem icon to the new org.gnome.Totem icon. Alternatively, you could drop the icon and let users use the high resolution icons shipped by Totem itself.

See also bug 1618138 which lists some other app icon name changes but those icons aren't shipped in all themes.

Jeremy Bicha (jbicha) on 2016-09-15
description: updated
description: updated
tags: added: rls-y-incoming
Simon Steinbeiß (ochosi) wrote :

Thanks, I've added the symlinks and pushed them to xubuntu-artwork.

Changed in xubuntu-artwork (Ubuntu):
status: New → Fix Committed
assignee: nobody → Simon Steinbeiß (ochosi)
Redwolf (viking.redwolf) on 2016-09-25
Changed in lubuntu-artwork (Ubuntu):
assignee: nobody → Rafael Laguna (rafaellaguna)
Changed in ubuntukylin-theme (Ubuntu):
status: New → Fix Committed
Changed in lubuntu-artwork (Ubuntu):
status: New → Incomplete
status: Incomplete → Fix Committed
Changed in ubuntukylin-theme (Ubuntu):
status: Fix Committed → New
Jeremy Bicha (jbicha) wrote :

This bug was fixed in the package moka-icon-theme - 5.3.2-2
Sponsored for fossfreedom (fossfreedom)

---------------
moka-icon-theme (5.3.2-2) unstable; urgency=medium

  * cherry-pick upstream patches
    - fix GTK+3.22 and GTK+3.20 based apps not displaying correctly due
      to upstream changing their .desktop exec=icon names
    - fix ubuntu-software, ImageMagik and Guake icon display
  * Packaging Changes:
    - update maintainer email address

 -- David Mohammed <email address hidden> Sun, 25 Sep 2016 10:48:43 +0100

Changed in moka-icon-theme (Ubuntu):
status: New → Fix Released
Jeremy Bicha (jbicha) on 2016-09-27
Changed in humanity-icon-theme (Ubuntu):
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package humanity-icon-theme - 0.6.11

---------------
humanity-icon-theme (0.6.11) yakkety; urgency=medium

  * Adapt to new Totem icon name (LP: #1623768)
  * Add debian/source/format and set it to 3.0 (native)

 -- Jeremy Bicha <email address hidden> Tue, 27 Sep 2016 01:36:24 -0400

Changed in humanity-icon-theme (Ubuntu):
status: Fix Committed → Fix Released
zhangchao (zctgbhu) on 2016-10-04
Changed in ubuntukylin-theme (Ubuntu):
assignee: nobody → zhangchao (zctgbhu)
status: New → Confirmed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xubuntu-artwork - 16.10.1

---------------
xubuntu-artwork (16.10.1) yakkety; urgency=medium

  [ Pasi Lallinaho ]
  * Update wallpaper (desktop and plymouth) (LP: #1629650)

  [ Sean Davis ]
  * Add support for new icon naming for Totem (LP: #1623768)
  * Add 64px xfce4-notifyd icon
  * Add audio-volume-off symbolic icon

 -- Sean Davis <email address hidden> Tue, 04 Oct 2016 17:36:49 -0400

Changed in xubuntu-artwork (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers